﻿package utils
 {  
    import flash.display.Sprite;
    import flash.display.StageDisplayState;
    import flash.display.StageScaleMode;
    import flash.events.ContextMenuEvent;
    import flash.events.Event;
    import flash.events.MouseEvent;
    import flash.external.ExternalInterface;
    import flash.ui.ContextMenu;
    import flash.ui.ContextMenuBuiltInItems;
    import flash.ui.ContextMenuItem;
  
    public class GoFullscreen extends Sprite {  
        private var myContextMenu:ContextMenu;  
  		private var original_width:Number;
		private var original_height:Number;
		private var _btn:Bouton;
        public function GoFullscreen() {  
        	original_width = stage.stageWidth;
			original_height = stage.stageHeight;
            myContextMenu = new ContextMenu();  
            removeDefaultItems();  
            addCustomMenuItems();  
            this.contextMenu = myContextMenu; 
            _btn= new Bouton();
            _btn.setLabel("fullscreen");
            _btn.x = 0;
           	_btn.y = stage.stageHeight-_btn.height; 
            _btn.addEventListener(MouseEvent.CLICK,goFullscreen);
           	addChild(_btn);
        }  
  
        private function removeDefaultItems():void {  
            myContextMenu.hideBuiltInItems();  
            var defaultItems:ContextMenuBuiltInItems = myContextMenu.builtInItems;  
            defaultItems.print = true;  
        }  
  
        private function addCustomMenuItems():void {  
            // add the full screen item  
            var fs:ContextMenuItem = new ContextMenuItem("Full Screen" );  
            fs.addEventListener(ContextMenuEvent.MENU_ITEM_SELECT, onShowFullScreen);  
            myContextMenu.customItems.push( fs );  
  
            // add the 'back to normal size' option  
            var xfs:ContextMenuItem = new ContextMenuItem("Exit Full Screen");  
            xfs.addEventListener(ContextMenuEvent.MENU_ITEM_SELECT, onShowNormalScreen);  
            myContextMenu.customItems.push( xfs );  
        }  
  
        public function onShowFullScreen(event:ContextMenuEvent):void  
        {  
        	// Go Full Screen Option Selected  
        	if(stage.displayState!=StageDisplayState.FULL_SCREEN){
				stage.displayState=StageDisplayState.FULL_SCREEN;  
				stage.scaleMode = StageScaleMode.NO_SCALE;
				this.x = original_width/2-stage.stageWidth/2;
				this.y = original_height/2-stage.stageHeight/2;
				this.stage.addEventListener(Event.RESIZE, goResize);
				_btn.setLabel("back");
        		_btn.y = stage.stageHeight-_btn.height; 
        	}
        }
		 public function goFullscreen(event:MouseEvent):void  
        {  
            // Go Full Screen Option Selected  
			if (stage.displayState==StageDisplayState.FULL_SCREEN){
				this.stage.removeEventListener(Event.RESIZE,goResize);
				stage.displayState=StageDisplayState.NORMAL;  
				_btn.setLabel("fullscreen");
				ExternalInterface.call("focus");
			}else{
				stage.displayState=StageDisplayState.FULL_SCREEN;  
				stage.scaleMode = StageScaleMode.NO_SCALE;
				_btn.setLabel("back");
				this.stage.addEventListener(Event.RESIZE, goResize);
			}
			_btn.y = stage.stageHeight-_btn.height; 
			this.x = original_width/2-stage.stageWidth/2;
			this.y = original_height/2-stage.stageHeight/2;
            
        }
        
        private function goResize(event:Event):void  
        {  
			_btn.setLabel("fullscreen");
          	_btn.y = stage.stageHeight-_btn.height; 
			this.x = original_width/2-stage.stageWidth/2;
			this.y = original_height/2-stage.stageHeight/2;
			ExternalInterface.call("focus");
			this.stage.removeEventListener(Event.RESIZE,goResize);
        }
  
        private function onShowNormalScreen(event:ContextMenuEvent):void  
        {  
            // Exit Full Screen Option Selected  
           	this.stage.removeEventListener(Event.RESIZE,goResize);
			stage.displayState=StageDisplayState.NORMAL;  
			this.x = original_width/2-stage.stageWidth/2;
			this.y = original_height/2-stage.stageHeight/2;  
			_btn.setLabel("fullscreen");
          	_btn.y = stage.stageHeight-_btn.height; 
			ExternalInterface.call("focus");
        }  
        
    }  
}
import flash.display.Sprite;
import flash.text.TextField;
import flash.text.TextFormat;
import flash.text.TextFieldAutoSize;
	 
class Bouton extends Sprite
{
	private var txtfield:TextField;
	private var fmt:TextFormat;
	public function Bouton():void
	{
		this.buttonMode = true;
		this.useHandCursor = true;
		this.mouseChildren = false;
		txtfield = new TextField();
		txtfield.autoSize = TextFieldAutoSize.LEFT;
		fmt = new TextFormat();
		fmt.color = "0x000000";
		
		addChild(txtfield);
	}
	public function setLabel(txt:String):void
	{
		txtfield.text = txt;
		txtfield.setTextFormat(fmt);
	}
}